Soporte » Plugins y Hacks » Plugin acf-qtranslate parece impedir actualización de páginas

  • oscarhache

    (@oscarhache)


    Saludos! Desde hace un tiempo que no puedo actualizar una de las páginas del sitio que administro (que pertenece a una organización sin fines de lucro).

    Específicamente, cada vez que traté de hacer un cambio, me devolvía un mensaje de error («Warning: Invalid argument supplied for foreach() in /home/americaorgcl/americasolidaria.org/wp-content/plugins/qtranslate-x/admin/qtx_admin.php on line 14») y el cambio no se registraba. Ahora ni siquiera arroja un mensaje de error, sólo no se registran los cambios.

    qtranslate-X es un plugin para traducción que usamos en el sitio.

    Tras consultar con el hosting (Dreamhost) ellos me enviaron la siguiente respuesta:

    » There appears to be a JavaScript issue with a translation script of some kind that is present when editing the page.

    TypeError: qTranslateConfig.qtx.addContentHooksTinyMCE is not a function
    qTranslateConfig.qtx.addContentHooksTinyMCE();

    The is appears to be coming from the acf-qtranslate plugin. I believe
    this is what’s causing the page to not update despite entering in
    changes. I suggest contacting the plugin developer to see if there is a
    fix. Also the WordPress install is out of date as well and maybe causing
    the issue as well.»

    Desactivé el plugin acf-qtranslate e intenté hacer un cambio (la página http://www.americasolidaria.org/conocenos/directorio/ contiene los perfiles (nombre, cargo, foto y bio) de los integrantes del directorio de una ONG; borré uno de los pefiles ingresados). Esta vez si se registró el cambio. (Lamentablemente al reactivarlo se perdió una parte de la información: cargo y bio, pero hay respaldo)

    El problema es que la página necesita del uso de un plugin de traducción, ya que llega a público en inglés y en castellano.

    Estoy publicando ésto en el foro en inglés de acf-translate; lo publico acá para el caso de que alguno de uds. tuviera información que me pueda ser útil.

    Acf-translate afirma que ha sido probado hasta la versión 4.2.1 de WordPress; me pregunto si hacer un «downgrade» desde mi actual versión de WordPress podría ser una solución.

    Aclaro que no soy desarrollador. Por si acaso. Gracias por su tiempo.

  • El debate ‘Plugin acf-qtranslate parece impedir actualización de páginas’ está cerrado a nuevas respuestas.